using System;

internal sealed class Delegate591 : MulticastDelegate
{
	public extern string Invoke(object object_0, string string_0);

	public static string smethod_0(object object_0, string string_0, Delegate591 delegate591_1)
	{
		return delegate591_1(object_0, string_0);
	}

	public extern Delegate591(object object_0, IntPtr intptr_0);

	static Delegate591()
	{
		Class10.smethod_13(typeof(Delegate591).TypeHandle);
	}

	internal static Delegate591 delegate591_0;
}
